#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>

#include <geta/srvmu.h>

#include <geta/wam.h>
#include <geta/ae.h>

#define HANDLE	"ir"

main(int argc, char **argv)
{
	char *query;
	char *jma;
	WAM *w;
	syminfo *q, *r;
	int qlen, rlen;
	int i;

	if(argc == 1){
		rlen = 10;
	}
	else if(argc==2) {
		rlen = atoi(argv[1]);
	}
	else {
		fprintf(stderr, "usage: %s n\n", argv[0]);
		exit(1);
	}

	//	wam_init(NULL);
	wam_init(NULL);
	w = wam_open(HANDLE, 0);

	jma = ci_value(HANDLE, "jma");
	if(!jma) exit(1);

	query = readin(stdin);

	q = wstem(query, w, WAM_COL, jma, &qlen);

	r = wsh(q, qlen, w, WAM_COL, WT_SMART, &rlen, NULL, NULL, NULL);

	sort_w_syminfo_list(r, rlen);

	for (i=0; i<rlen; i++) {
		printf("%d\t%lf\t%s\n", r[i].id, r[i].weight, wam_id2name(w, WAM_ROW, r[i].id));
	}

	wam_close(w);
}
